@import "../../../styles/theme/colors";
@import "../../../styles/theme/font";

.visits-chart {
    display: flex;
    box-shadow: 0 3px 11px 0 $shadow-white, 0 3px 3px -2px $shadow-grey, 0 1px 8px 0 $shadow-dark-grey;
    height: 19.2rem;
    flex-direction: column;
    justify-content: space-between;

    &__header {
        align-items: center;
        color: $grey;
        display: flex;
        justify-content: space-between;
    }

    &__title {
        font-size: 2rem;
        font-weight: $fw-lighter;
        margin: 0;
        line-height: 4rem;
    }

    &__content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 75%;

        &-info {
            align-items: center;
            display: flex;
            height: 9.6rem;
            justify-content: space-between;

            &-title {
                margin: 0;
                font-weight: $fw-lighter;
                font-size: $fs-large;
                line-height: 1.5;
                letter-spacing: 00.15rem;
                color: $dark-grey;
            }

            &-chart {
                margin-left: 1.6rem;
            }
        }

        &-stats {
            display: flex;
            justify-content: space-between;

            &-title {
                margin: 0;
                color: $grey;
                font-weight: $fw-lighter;
                font-size: $fs-small;
            }

            &-data {
                margin: 0;
                line-height: 1.5;
                font-weight: $fw-lighter;
                font-size: $fs-medium;
                color: $dark-grey;
            }
        }
    }
}
